Subject: [quicwg/base-drafts] 921f88: Clients can send GOAWAY too

From: Martin Thomson <[email-masked]>
Date: Tue, 10 Mar 2020 15:39:48 -0700

Branch: refs/heads/max_udp_size-0rtt
  Home:   https://github.com/quicwg/base-drafts
  Commit: 921f883ee450ce67ec7c94865ddd2809f6fbb579
      https://github.com/quicwg/base-drafts/commit/921f883ee450ce67ec7c94865ddd2809f6fbb579
  Author: Alan Frindell <[email-masked]>
  Date:   2019-10-22 (Tue, 22 Oct 2019)

  Changed paths:
    M draft-ietf-quic-http.md

  Log Message:
  -----------
  Clients can send GOAWAY too

A client initiated GOAWAY contains a Push ID.  The Push ID can be 2^62 - 1 if the client doesn't care how many more pushes the server wants to initiate before graceful shutdown.  It can be a smaller value if the client wishes to limit the pushes.

Fixes #2632

  Commit: a6dcceaf92e90cda648c5f480289062de9976a43
      https://github.com/quicwg/base-drafts/commit/a6dcceaf92e90cda648c5f480289062de9976a43
  Author: Mike Bishop <[email-masked]>
  Date:   2020-01-13 (Mon, 13 Jan 2020)

  Changed paths:
    M .circleci/config.yml
    M CONTRIBUTING.md
    M draft-ietf-quic-http.md
    M draft-ietf-quic-qpack.md
    M draft-ietf-quic-recovery.md
    M draft-ietf-quic-tls.md
    M draft-ietf-quic-transport.md
    M ietf.json
    M initial-protection.js

  Log Message:
  -----------
  Merge remote-tracking branch 'origin/master' into client-goaway

  Commit: 510e0a9cc836b407a5e3517f4b9c032a6ce5e1f7
      https://github.com/quicwg/base-drafts/commit/510e0a9cc836b407a5e3517f4b9c032a6ce5e1f7
  Author: Mike Bishop <[email-masked]>
  Date:   2020-01-15 (Wed, 15 Jan 2020)

  Changed paths:
    M draft-ietf-quic-http.md

  Log Message:
  -----------
  GOAWAY means no more, like H2

  Commit: 9d070060a798378f3f4ce1f5436f40e8a5381e91
      https://github.com/quicwg/base-drafts/commit/9d070060a798378f3f4ce1f5436f40e8a5381e91
  Author: Mike Bishop <[email-masked]>
  Date:   2020-01-15 (Wed, 15 Jan 2020)

  Changed paths:
    M draft-ietf-quic-http.md

  Log Message:
  -----------
  Clarify the prohibition

  Commit: c4568aa4366160b2046f84d5a29a443ec96f746a
      https://github.com/quicwg/base-drafts/commit/c4568aa4366160b2046f84d5a29a443ec96f746a
  Author: Mike Bishop <[email-masked]>
  Date:   2020-01-15 (Wed, 15 Jan 2020)

  Changed paths:
    M draft-ietf-quic-http.md

  Log Message:
  -----------
  Wordsmith

  Commit: aa3f1c6d56abdbed3f7015ba46c656c63fb14864
      https://github.com/quicwg/base-drafts/commit/aa3f1c6d56abdbed3f7015ba46c656c63fb14864
  Author: Mike Bishop <[email-masked]>
  Date:   2020-01-15 (Wed, 15 Jan 2020)

  Changed paths:
    M draft-ietf-quic-http.md

  Log Message:
  -----------
  Use 'GOAWAY frame' consistently

  Commit: c712182e45511236dbb0a3d26c07817f201b2078
      https://github.com/quicwg/base-drafts/commit/c712182e45511236dbb0a3d26c07817f201b2078
  Author: Mike Bishop <[email-masked]>
  Date:   2020-01-15 (Wed, 15 Jan 2020)

  Changed paths:
    M draft-ietf-quic-http.md

  Log Message:
  -----------
  Clarify previously-promised

  Commit: d6c141ffe639ef001ac28df6f86620288833d428
      https://github.com/quicwg/base-drafts/commit/d6c141ffe639ef001ac28df6f86620288833d428
  Author: Mike Bishop <[email-masked]>
  Date:   2020-01-21 (Tue, 21 Jan 2020)

  Changed paths:
    M draft-ietf-quic-http.md
    M draft-ietf-quic-qpack.md
    M draft-ietf-quic-recovery.md
    M draft-ietf-quic-tls.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge remote-tracking branch 'origin/master' into client-goaway

  Commit: d0ef267257bbbfca76496dbbce137b7fb3271d5e
      https://github.com/quicwg/base-drafts/commit/d0ef267257bbbfca76496dbbce137b7fb3271d5e
  Author: Mike Bishop <[email-masked]>
  Date:   2020-01-21 (Tue, 21 Jan 2020)

  Changed paths:
    M draft-ietf-quic-http.md

  Log Message:
  -----------
  Apply my suggestions from code review

  Commit: 3f93d362a4573a5939f9e5e7740029debec24c5b
      https://github.com/quicwg/base-drafts/commit/3f93d362a4573a5939f9e5e7740029debec24c5b
  Author: Mike Bishop <[email-masked]>
  Date:   2020-01-21 (Tue, 21 Jan 2020)

  Changed paths:
    M draft-ietf-quic-http.md

  Log Message:
  -----------
  Clean up sender/receiver language

  Commit: 37ee181ed7ad87d7d72d699b226a7e117edfc3a5
      https://github.com/quicwg/base-drafts/commit/37ee181ed7ad87d7d72d699b226a7e117edfc3a5
  Author: Mike Bishop <[email-masked]>
  Date:   2020-01-21 (Tue, 21 Jan 2020)

  Changed paths:
    M draft-ietf-quic-http.md

  Log Message:
  -----------
  Adapt Martin's text from #3341

  Commit: 59d84be618a99762f78539a09e2a579874ecc0ba
      https://github.com/quicwg/base-drafts/commit/59d84be618a99762f78539a09e2a579874ecc0ba
  Author: Mike Bishop <[email-masked]>
  Date:   2020-01-21 (Tue, 21 Jan 2020)

  Changed paths:
    M draft-ietf-quic-http.md

  Log Message:
  -----------
  Update draft-ietf-quic-http.md

Co-Authored-By: Martin Thomson <[email-masked]>

  Commit: fd1189fb0374992551201168b2a3beec6b5a76fd
      https://github.com/quicwg/base-drafts/commit/fd1189fb0374992551201168b2a3beec6b5a76fd
  Author: Mike Bishop <[email-masked]>
  Date:   2020-01-22 (Wed, 22 Jan 2020)

  Changed paths:
    M draft-ietf-quic-http.md

  Log Message:
  -----------
  Update draft-ietf-quic-http.md

Co-Authored-By: Martin Thomson <[email-masked]>

  Commit: d75fdc94ad7377ed916b0e5dcf996f2b710be524
      https://github.com/quicwg/base-drafts/commit/d75fdc94ad7377ed916b0e5dcf996f2b710be524
  Author: Dmitri Tikhonov <[email-masked]>
  Date:   2020-01-27 (Mon, 27 Jan 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Fix: server cannot proceed to handshake when given an invalid Retry token

Fixes issue #3396

  Commit: 04b43876bccfd669bd854ea7cc25704dae695729
      https://github.com/quicwg/base-drafts/commit/04b43876bccfd669bd854ea7cc25704dae695729
  Author: Mike Bishop <[email-masked]>
  Date:   2020-01-29 (Wed, 29 Jan 2020)

  Changed paths:
    M draft-ietf-quic-http.md

  Log Message:
  -----------
  Address @martinthomson's feedback

  Commit: d1f5bab9b7becad31f20203571c5e2fb328a9509
      https://github.com/quicwg/base-drafts/commit/d1f5bab9b7becad31f20203571c5e2fb328a9509
  Author: Mike Bishop <[email-masked]>
  Date:   2020-02-04 (Tue, 04 Feb 2020)

  Changed paths:
    M draft-ietf-quic-http.md

  Log Message:
  -----------
  GOAWAY can end uncertainty

  Commit: 5108eb30b428dec3a39138bbcadfa70dfdd5d05e
      https://github.com/quicwg/base-drafts/commit/5108eb30b428dec3a39138bbcadfa70dfdd5d05e
  Author: ianswett <[email-masked]>
  Date:   2020-02-04 (Tue, 04 Feb 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Reset PTO and loss detection timer when discarding keys

Fixes #3272 

This doesn't add normative statements, but it could if people would like.

  Commit: c2a80a79c162a0a718262f974464fccb74a76636
      https://github.com/quicwg/base-drafts/commit/c2a80a79c162a0a718262f974464fccb74a76636
  Author: Martin Thomson <[email-masked]>
  Date:   2020-02-05 (Wed, 05 Feb 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Remember active_connection_id_limit for 0-RTT

Simple.  It appears as though I missed this when @marten-seeman added
this transport parameter.  We shouldn't make more exceptions for 0-RTT.

Closes #3423.

  Commit: 6b01be6c4d9caa77f6bcefa7d42bcdbfe9f1deec
      https://github.com/quicwg/base-drafts/commit/6b01be6c4d9caa77f6bcefa7d42bcdbfe9f1deec
  Author: ianswett <[email-masked]>
  Date:   2020-02-07 (Fri, 07 Feb 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Add pseudocode

  Commit: db231e9d6c2c991c3a9360d3f4832ce32d9a6427
      https://github.com/quicwg/base-drafts/commit/db231e9d6c2c991c3a9360d3f4832ce32d9a6427
  Author: ianswett <[email-masked]>
  Date:   2020-02-07 (Fri, 07 Feb 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

  Commit: ba6b30d4e1e37c371d75f6d379ae35f23dbd5a91
      https://github.com/quicwg/base-drafts/commit/ba6b30d4e1e37c371d75f6d379ae35f23dbd5a91
  Author: ianswett <[email-masked]>
  Date:   2020-02-07 (Fri, 07 Feb 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

  Commit: 7f5f3c12bd79469b30485466d1c01adeb0ff9e17
      https://github.com/quicwg/base-drafts/commit/7f5f3c12bd79469b30485466d1c01adeb0ff9e17
  Author: ianswett <[email-masked]>
  Date:   2020-02-07 (Fri, 07 Feb 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

  Commit: f992e436069e23d86862e2c41c966b4722a1abdd
      https://github.com/quicwg/base-drafts/commit/f992e436069e23d86862e2c41c966b4722a1abdd
  Author: ianswett <[email-masked]>
  Date:   2020-02-07 (Fri, 07 Feb 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

  Commit: d183a0c788915181b0d905081dafd7e3fce800fa
      https://github.com/quicwg/base-drafts/commit/d183a0c788915181b0d905081dafd7e3fce800fa
  Author: ianswett <[email-masked]>
  Date:   2020-02-07 (Fri, 07 Feb 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

  Commit: 3f67de912856591e0e7839ebafab568206c97a62
      https://github.com/quicwg/base-drafts/commit/3f67de912856591e0e7839ebafab568206c97a62
  Author: ianswett <[email-masked]>
  Date:   2020-02-07 (Fri, 07 Feb 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

  Commit: fa443957b59aa72c350e7a1d6fd202f3e27ee2c2
      https://github.com/quicwg/base-drafts/commit/fa443957b59aa72c350e7a1d6fd202f3e27ee2c2
  Author: ianswett <[email-masked]>
  Date:   2020-02-07 (Fri, 07 Feb 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Add a paragraph on PTO

  Commit: bd755b267dcc9ca301058d6806523bb39a35d19e
      https://github.com/quicwg/base-drafts/commit/bd755b267dcc9ca301058d6806523bb39a35d19e
  Author: ianswett <[email-masked]>
  Date:   2020-02-07 (Fri, 07 Feb 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

  Commit: ecb7a76c16022536bc420fa08e74af11d2602ed6
      https://github.com/quicwg/base-drafts/commit/ecb7a76c16022536bc420fa08e74af11d2602ed6
  Author: ianswett <[email-masked]>
  Date:   2020-02-09 (Sun, 09 Feb 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  MAY send 1 packet entering recovery

Similar to TCP as described in Section 5 of RFC 6675

Fixes #3335

  Commit: 998a43f5aebbd68123e968cd6c9f88e887825a31
      https://github.com/quicwg/base-drafts/commit/998a43f5aebbd68123e968cd6c9f88e887825a31
  Author: ianswett <[email-masked]>
  Date:   2020-02-09 (Sun, 09 Feb 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update pseudocode

  Commit: 02c21901dcfbf55abb1a801ac5118cab06f0ad2a
      https://github.com/quicwg/base-drafts/commit/02c21901dcfbf55abb1a801ac5118cab06f0ad2a
  Author: ianswett <[email-masked]>
  Date:   2020-02-09 (Sun, 09 Feb 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

  Commit: 578d2b79af642126ee9be062851b621c8e0751ae
      https://github.com/quicwg/base-drafts/commit/578d2b79af642126ee9be062851b621c8e0751ae
  Author: ianswett <[email-masked]>
  Date:   2020-02-10 (Mon, 10 Feb 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Martin's suggestions

  Commit: e0cdbbcb866f9924916a327e4ab178155c49a1b1
      https://github.com/quicwg/base-drafts/commit/e0cdbbcb866f9924916a327e4ab178155c49a1b1
  Author: ianswett <[email-masked]>
  Date:   2020-02-10 (Mon, 10 Feb 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Attempt to clarify for Martin

  Commit: 1885d3f63c64d0a657b8033c569e0ba074fd0249
      https://github.com/quicwg/base-drafts/commit/1885d3f63c64d0a657b8033c569e0ba074fd0249
  Author: ianswett <[email-masked]>
  Date:   2020-02-11 (Tue, 11 Feb 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Restore "Ignoring Loss of Undecryptable Packets"

And add some clarification.

Reverts #3442 with some additional changes

  Commit: d7fabb01733c3ccfb21c2eedb25d17e4de82cbb6
      https://github.com/quicwg/base-drafts/commit/d7fabb01733c3ccfb21c2eedb25d17e4de82cbb6
  Author: ianswett <[email-masked]>
  Date:   2020-02-12 (Wed, 12 Feb 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Jana's suggestion

  Commit: 731f802da4f5fb7a0b8af17a42387bc38d5cf93a
      https://github.com/quicwg/base-drafts/commit/731f802da4f5fb7a0b8af17a42387bc38d5cf93a
  Author: ianswett <[email-masked]>
  Date:   2020-02-12 (Wed, 12 Feb 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  ACK-only packets are not congestion controlled

Clarifies that losing ACK-only packets is detectable in QUIC, but this draft specifies no response to their loss.

Fixes #3451

  Commit: 6f83adf98a19660a59eeb10ea6900a409def81c1
      https://github.com/quicwg/base-drafts/commit/6f83adf98a19660a59eeb10ea6900a409def81c1
  Author: ianswett <[email-masked]>
  Date:   2020-02-13 (Thu, 13 Feb 2020)

  Changed paths:
    M draft-ietf-quic-http.md
    M draft-ietf-quic-recovery.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge branch 'master' into ianswett-restore-undecryptable

  Commit: 71193db5c14860fa56a73e4f0f76ba1822851d1c
      https://github.com/quicwg/base-drafts/commit/71193db5c14860fa56a73e4f0f76ba1822851d1c
  Author: ianswett <[email-masked]>
  Date:   2020-02-13 (Thu, 13 Feb 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

  Commit: 198b88ea0b69441d3105901ae3280a135940a0c6
      https://github.com/quicwg/base-drafts/commit/198b88ea0b69441d3105901ae3280a135940a0c6
  Author: ianswett <[email-masked]>
  Date:   2020-02-15 (Sat, 15 Feb 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Apply suggestions from code review

Co-Authored-By: Martin Thomson <[email-masked]>

  Commit: ae8900e3a19164a78984b2f6fe721ab55019c660
      https://github.com/quicwg/base-drafts/commit/ae8900e3a19164a78984b2f6fe721ab55019c660
  Author: ianswett <[email-masked]>
  Date:   2020-02-26 (Wed, 26 Feb 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Jana's suggestions

Co-Authored-By: Jana Iyengar <[email-masked]>

  Commit: 8feaa19743623c858e5b5e5dd7309264dd478d76
      https://github.com/quicwg/base-drafts/commit/8feaa19743623c858e5b5e5dd7309264dd478d76
  Author: ianswett <[email-masked]>
  Date:   2020-02-26 (Wed, 26 Feb 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

  Commit: 8cc4fa1278bd2785dfb14f3088db29bb584c1f13
      https://github.com/quicwg/base-drafts/commit/8cc4fa1278bd2785dfb14f3088db29bb584c1f13
  Author: ianswett <[email-masked]>
  Date:   2020-02-26 (Wed, 26 Feb 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

  Commit: d8dd73a087b177f3fa68f1dea49dff6d7f3a73fd
      https://github.com/quicwg/base-drafts/commit/d8dd73a087b177f3fa68f1dea49dff6d7f3a73fd
  Author: ianswett <[email-masked]>
  Date:   2020-02-26 (Wed, 26 Feb 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

  Commit: 330de8ffcb4bf8f153d404285317d92a62069b82
      https://github.com/quicwg/base-drafts/commit/330de8ffcb4bf8f153d404285317d92a62069b82
  Author: ianswett <[email-masked]>
  Date:   2020-02-26 (Wed, 26 Feb 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  More editorial updates

  Commit: bbdd861d1ef8dfbaadb2d38991af581acb4eea40
      https://github.com/quicwg/base-drafts/commit/bbdd861d1ef8dfbaadb2d38991af581acb4eea40
  Author: ianswett <[email-masked]>
  Date:   2020-02-26 (Wed, 26 Feb 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Reflow for line length

  Commit: 78bae10884d3215cab0726c4841bda11e72c6104
      https://github.com/quicwg/base-drafts/commit/78bae10884d3215cab0726c4841bda11e72c6104
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-02-27 (Thu, 27 Feb 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

  Commit: ab20c818c34bc203c6ede46fb5dfd94a99a55d0a
      https://github.com/quicwg/base-drafts/commit/ab20c818c34bc203c6ede46fb5dfd94a99a55d0a
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-02-27 (Thu, 27 Feb 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

  Commit: 40ed46141174740f8f9bb9aec5fef2b03594bab3
      https://github.com/quicwg/base-drafts/commit/40ed46141174740f8f9bb9aec5fef2b03594bab3
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-02-27 (Thu, 27 Feb 2020)

  Changed paths:
    M .lint.py
    M draft-ietf-quic-http.md
    M draft-ietf-quic-qpack.md
    M draft-ietf-quic-recovery.md
    M draft-ietf-quic-tls.md
    M draft-ietf-quic-transport.md
    M protection-samples.js

  Log Message:
  -----------
  Merge branch 'master' into ianswett-send-one-packet

  Commit: 36da8076286a15451100e0de314338cee9b6c005
      https://github.com/quicwg/base-drafts/commit/36da8076286a15451100e0de314338cee9b6c005
  Author: ianswett <[email-masked]>
  Date:   2020-02-27 (Thu, 27 Feb 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

Co-Authored-By: Jana Iyengar <[email-masked]>

  Commit: b15857bcfc3e8a8882b5a8b1245521f571a39764
      https://github.com/quicwg/base-drafts/commit/b15857bcfc3e8a8882b5a8b1245521f571a39764
  Author: mirjak <[email-masked]>
  Date:   2020-03-03 (Tue, 03 Mar 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Editorial proposed changes for cc section

  Commit: c72f86fbe73ef8046c38ff9e8c3fe5ad3578d80c
      https://github.com/quicwg/base-drafts/commit/c72f86fbe73ef8046c38ff9e8c3fe5ad3578d80c
  Author: mirjak <[email-masked]>
  Date:   2020-03-03 (Tue, 03 Mar 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

  Commit: ccefe8667092622d869c997728b062a2f96153c4
      https://github.com/quicwg/base-drafts/commit/ccefe8667092622d869c997728b062a2f96153c4
  Author: ianswett <[email-masked]>
  Date:   2020-03-03 (Tue, 03 Mar 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

Co-Authored-By: Martin Thomson <[email-masked]>

  Commit: 0ef8f341bb1df7e7b04e5815596468b7a442824d
      https://github.com/quicwg/base-drafts/commit/0ef8f341bb1df7e7b04e5815596468b7a442824d
  Author: ianswett <[email-masked]>
  Date:   2020-03-03 (Tue, 03 Mar 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

Co-Authored-By: Martin Thomson <[email-masked]>

  Commit: 9ac2f6dfceaf18445b54b7168921ce0a25aae1fd
      https://github.com/quicwg/base-drafts/commit/9ac2f6dfceaf18445b54b7168921ce0a25aae1fd
  Author: Martin Thomson <[email-masked]>
  Date:   2020-03-04 (Wed, 04 Mar 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Rephrase some connection ID usage text

  Commit: 82a53af161f418ba940388c880ae0aa0100312b7
      https://github.com/quicwg/base-drafts/commit/82a53af161f418ba940388c880ae0aa0100312b7
  Author: Martin Thomson <[email-masked]>
  Date:   2020-03-05 (Thu, 05 Mar 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #3425 from quicwg/remember-acil

Remember active_connection_id_limit for 0-RTT

  Commit: 6a0f488a1e944fa1df7c30e16db9f50f49e0fab7
      https://github.com/quicwg/base-drafts/commit/6a0f488a1e944fa1df7c30e16db9f50f49e0fab7
  Author: Martin Thomson <[email-masked]>
  Date:   2020-03-05 (Thu, 05 Mar 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #3398 from dtikhonov/202001271719-cant-proceed-with-invalid-retry

Fix: server cannot proceed to handshake when given an invalid Retry token

  Commit: 3d4a09611afdbabed83c0cd5650307b217bea894
      https://github.com/quicwg/base-drafts/commit/3d4a09611afdbabed83c0cd5650307b217bea894
  Author: ianswett <[email-masked]>
  Date:   2020-03-04 (Wed, 04 Mar 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Merge pull request #3453 from quicwg/ianswett-clarify-ack-only

ACK-only packets are not congestion controlled

  Commit: 8dfa6138a6557cb38934ab1363519a5d379dadbc
      https://github.com/quicwg/base-drafts/commit/8dfa6138a6557cb38934ab1363519a5d379dadbc
  Author: ianswett <[email-masked]>
  Date:   2020-03-04 (Wed, 04 Mar 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Merge pull request #3443 from quicwg/ianswett-send-one-packet

MAY send 1 packet entering recovery

  Commit: 03d4c76f8c444fa921dbd3c84988c26e3b5b8088
      https://github.com/quicwg/base-drafts/commit/03d4c76f8c444fa921dbd3c84988c26e3b5b8088
  Author: ianswett <[email-masked]>
  Date:   2020-03-04 (Wed, 04 Mar 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Merge pull request #3415 from quicwg/ianswett-discard-keys-pto

Reset PTO and loss detection timer when discarding keys

  Commit: 07a901a9b9cfc790e9b51278548e808db0daf63f
      https://github.com/quicwg/base-drafts/commit/07a901a9b9cfc790e9b51278548e808db0daf63f
  Author: ianswett <[email-masked]>
  Date:   2020-03-07 (Sat, 07 Mar 2020)

  Changed paths:
    M .lint.py
    M draft-ietf-quic-http.md
    M draft-ietf-quic-qpack.md
    M draft-ietf-quic-recovery.md
    M draft-ietf-quic-tls.md
    M draft-ietf-quic-transport.md
    M protection-samples.js

  Log Message:
  -----------
  Merge branch 'master' into ianswett-restore-undecryptable

  Commit: 3a51ceedcc90b26924f85c31c2bf3777ab987b20
      https://github.com/quicwg/base-drafts/commit/3a51ceedcc90b26924f85c31c2bf3777ab987b20
  Author: ianswett <[email-masked]>
  Date:   2020-03-07 (Sat, 07 Mar 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Merge pull request #3450 from quicwg/ianswett-restore-undecryptable

Clarify which packet losses may be ignored

  Commit: e043bb4612537f3fe3afe6d12154176a66e9bb46
      https://github.com/quicwg/base-drafts/commit/e043bb4612537f3fe3afe6d12154176a66e9bb46
  Author: ianswett <[email-masked]>
  Date:   2020-03-07 (Sat, 07 Mar 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

Co-Authored-By: Martin Thomson <[email-masked]>

  Commit: 78e81dcd8d40b76409cf702a5e6e6509ad7d8022
      https://github.com/quicwg/base-drafts/commit/78e81dcd8d40b76409cf702a5e6e6509ad7d8022
  Author: ianswett <[email-masked]>
  Date:   2020-03-07 (Sat, 07 Mar 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Took and reworked Jana's suggestion.

  Commit: 91b3d1b28346ad5e9b2a4aca41b6a397c33f9b0f
      https://github.com/quicwg/base-drafts/commit/91b3d1b28346ad5e9b2a4aca41b6a397c33f9b0f
  Author: Benjamin Saunders <[email-masked]>
  Date:   2020-03-07 (Sat, 07 Mar 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Clarify handshake anti-deadlock wrt. handshake confirmation

  Commit: a8e454f2019b63856fad3693475499648e777e04
      https://github.com/quicwg/base-drafts/commit/a8e454f2019b63856fad3693475499648e777e04
  Author: Benjamin Saunders <[email-masked]>
  Date:   2020-03-08 (Sun, 08 Mar 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

Co-Authored-By: Martin Thomson <[email-masked]>

  Commit: 0925aaa68752b7dcf0b24ef1a537dd2604907c53
      https://github.com/quicwg/base-drafts/commit/0925aaa68752b7dcf0b24ef1a537dd2604907c53
  Author: ianswett <[email-masked]>
  Date:   2020-03-09 (Mon, 09 Mar 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

  Commit: 9546ff24cd8759c48acde86ff694e856ba47b465
      https://github.com/quicwg/base-drafts/commit/9546ff24cd8759c48acde86ff694e856ba47b465
  Author: ianswett <[email-masked]>
  Date:   2020-03-09 (Mon, 09 Mar 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Wordsmithing

  Commit: d2ce42374c219958b5c52040e564b2fd9aa2f277
      https://github.com/quicwg/base-drafts/commit/d2ce42374c219958b5c52040e564b2fd9aa2f277
  Author: ianswett <[email-masked]>
  Date:   2020-03-09 (Mon, 09 Mar 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

  Commit: 3343560974ab9a7ef959bb4066c72f73a4a0d326
      https://github.com/quicwg/base-drafts/commit/3343560974ab9a7ef959bb4066c72f73a4a0d326
  Author: ianswett <[email-masked]>
  Date:   2020-03-10 (Tue, 10 Mar 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

Co-Authored-By: Martin Thomson <[email-masked]>

  Commit: 059276a7ad8caddc3c0b2fde7508395d6da2342a
      https://github.com/quicwg/base-drafts/commit/059276a7ad8caddc3c0b2fde7508395d6da2342a
  Author: ianswett <[email-masked]>
  Date:   2020-03-10 (Tue, 10 Mar 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

Co-Authored-By: Martin Thomson <[email-masked]>

  Commit: 8e4fd6eaffa6e713f1e2cf8173f7e3153a3b8ac8
      https://github.com/quicwg/base-drafts/commit/8e4fd6eaffa6e713f1e2cf8173f7e3153a3b8ac8
  Author: ianswett <[email-masked]>
  Date:   2020-03-10 (Tue, 10 Mar 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

Co-Authored-By: Martin Thomson <[email-masked]>

  Commit: baff94a5fde867f0f29e8b6cd81f50f8c42be467
      https://github.com/quicwg/base-drafts/commit/baff94a5fde867f0f29e8b6cd81f50f8c42be467
  Author: ianswett <[email-masked]>
  Date:   2020-03-10 (Tue, 10 Mar 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge branch 'master' into patch-21

  Commit: c8128f2ade5d400092d75e52d3bf7a61199e9239
      https://github.com/quicwg/base-drafts/commit/c8128f2ade5d400092d75e52d3bf7a61199e9239
  Author: ianswett <[email-masked]>
  Date:   2020-03-10 (Tue, 10 Mar 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Merge pull request #3491 from mirjak/patch-21

Editorial proposed changes for cc section

  Commit: f761f8b5dfcccff20ad59e6bea4e25bc297c9de0
      https://github.com/quicwg/base-drafts/commit/f761f8b5dfcccff20ad59e6bea4e25bc297c9de0
  Author: ianswett <[email-masked]>
  Date:   2020-03-10 (Tue, 10 Mar 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Follow-up to Mirja's editorial PR

Another editorial PR to address @martinthomson comment.

  Commit: 41a816f946aab27f2eb7e704d38d38929a07e42c
      https://github.com/quicwg/base-drafts/commit/41a816f946aab27f2eb7e704d38d38929a07e42c
  Author: ianswett <[email-masked]>
  Date:   2020-03-10 (Tue, 10 Mar 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Merge pull request #3505 from quicwg/ianswett-editorial-adapted

Follow-up to Mirja's editorial PR

  Commit: c63156014f02461996749d0b6ca2b2bec4419433
      https://github.com/quicwg/base-drafts/commit/c63156014f02461996749d0b6ca2b2bec4419433
  Author: ianswett <[email-masked]>
  Date:   2020-03-10 (Tue, 10 Mar 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Merge pull request #3441 from quicwg/ianswett-pto-vs-rto

Document TCP RTO vs QUIC PTO

  Commit: 07f730f83c54f2a292def4f10494ea9bcb274bae
      https://github.com/quicwg/base-drafts/commit/07f730f83c54f2a292def4f10494ea9bcb274bae
  Author: Mike Bishop <[email-masked]>
  Date:   2020-03-10 (Tue, 10 Mar 2020)

  Changed paths:
    M draft-ietf-quic-http.md

  Log Message:
  -----------
  Merge pull request #3129 from quicwg/client-goaway

Clients can send GOAWAY too

  Commit: 792660745fb73777f12ea968046450a54020b2bb
      https://github.com/quicwg/base-drafts/commit/792660745fb73777f12ea968046450a54020b2bb
  Author: Bence Béky <[email-masked]>
  Date:   2020-03-10 (Tue, 10 Mar 2020)

  Changed paths:
    M draft-ietf-quic-qpack.md

  Log Message:
  -----------
  Change HTTP/3 error codes from HTTP_ to H3_ to mirror #3119.

  Commit: c77258a9e53284b7721548d80dce59e1eb43df12
      https://github.com/quicwg/base-drafts/commit/c77258a9e53284b7721548d80dce59e1eb43df12
  Author: Bence Béky <[email-masked]>
  Date:   2020-03-10 (Tue, 10 Mar 2020)

  Changed paths:
    M draft-ietf-quic-qpack.md

  Log Message:
  -----------
  Make Required Insert Count mismatch error pharagraph less "obtuse".

  Commit: a94d727a3f4da5ec61456be5c680ad013e1a335b
      https://github.com/quicwg/base-drafts/commit/a94d727a3f4da5ec61456be5c680ad013e1a335b
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-03-10 (Tue, 10 Mar 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Merge pull request #3503 from Ralith/clarify-anti-deadlock

Clarify handshake anti-deadlock wrt. handshake confirmation

  Commit: 7667e3be465236514a7f79d2f8ad023565c2f349
      https://github.com/quicwg/base-drafts/commit/7667e3be465236514a7f79d2f8ad023565c2f349
  Author: Martin Thomson <[email-masked]>
  Date:   2020-03-11 (Wed, 11 Mar 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #3497 from quicwg/rephrase-cid-use

Rephrase some Connection ID usage text

  Commit: d1047cdba460e58f7c0c7f056989ec5610e385d3
      https://github.com/quicwg/base-drafts/commit/d1047cdba460e58f7c0c7f056989ec5610e385d3
  Author: Martin Thomson <[email-masked]>
  Date:   2020-03-11 (Wed, 11 Mar 2020)

  Changed paths:
    M draft-ietf-quic-http.md
    M draft-ietf-quic-qpack.md
    M draft-ietf-quic-recovery.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge branch 'master' into max_udp_size-0rtt

Compare: https://github.com/quicwg/base-drafts/compare/a356f032a97e...d1047cdba460